#!/bin/bash
#
# tbbr.sh - Branch, Build, Run
#
# Script to grab any branch for a core app build and shove to device
# Expects one parameter which is the branch. e.g.
#
# ./tbbr.sh lp:~rpadovani/ubuntu-calculator-app/1217876

BRANCH=$1
BUILDLOCATION=$(mktemp -d)
HERE=$(pwd)

cd $BUILDLOCATION
echo `date` Branch $BRANCH 
bzr branch -q $BRANCH 2>&1 > $BUILDLOCATION/bzr.log
if [ "$?" == "0" ]; then
  echo `date` Branch OK
else
  echo `date` Branch FAIL
  exit 1
fi

cd `ls -F | grep /$`
echo `date` Build $BRANCH in `pwd`
debuild -uc -us 2>&1 > $BUILDLOCATION/build.log
if [ "$?" == "0" ]; then
  echo `date` Build OK
else
  echo `date` Build FAIL
  exit 1
fi

adb shell mkdir $BUILDLOCATION

DEB=`ls $BUILDLOCATION/*.deb | grep -v autopilot`
echo `date` Send $DEB to device
echo adb push $DEB $BUILDLOCATION 2>&1 > $BUILDLOCATION/push.log
echo `date` Install $DEB
echo adb shell dpkg -i $DEB

cd $HERE

echo `date` Rebooting device
adb reboot

echo `date` Temp files in $BUILDLOCATION can now be deleted
